Bug 227840 - crash when try to add an new entry in the browser tab
crash when try to add an new entry in the browser tab
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: lat (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-08 09:42 EST by Frank Büttner
Modified: 2008-01-23 13:24 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 13:24:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2007-02-08 09:42:04 EST
Description of problem:
When try tp add an new entry in the ldap tree lat crash

Version-Release number of selected component (if applicable):
lat-1.2.1.1-2.fc6

How reproducible:


Steps to Reproduce:
1.navigate to the place where you want insert the new item
2. right mouse click->new
3. select "Based on the .."
4. press ok
  
Actual results:
lat crash

Expected results:
An new entry in the ldap tree

Additional info:
Error message at the console:
lat [09947] ERROR Error occured: Object reference not set to an instance of an
object
lat [09947] INFO Exiting lat
Comment 1 Paul Howarth 2007-02-08 10:02:43 EST
Curious; I can't reproduce this (x86).

Could you try reporting this in the upstream bugzilla
(http://dev.mmgsecurity.com/bugs/), and include in the report the architecture
of your system and the type of object you right-clicked on?
Comment 2 Frank Büttner 2007-02-08 10:09:49 EST
The LDAP server is openldap with then openldap-servers-sql package running at on
Fedora 6 x86. 
Comment 3 Paul Howarth 2007-02-09 11:55:49 EST
I've reported this in the upstream bugzilla:

http://dev.mmgsecurity.com/bugs/show_bug.cgi?id=83
Comment 4 Paul Howarth 2007-02-10 12:30:43 EST
Upstream is unable to reproduce this either. Can you please try this again but
run lat with the --debug option, which should give more of a clue what's going on?
Comment 5 Frank Büttner 2007-02-13 03:27:08 EST
I have tryed it today with the Fedora Directory Server, but the same result.
Here the debug output:
lat [04774] INFO Starting lat (version 1.2.1.1)
lat [04774] DEBUG Load templates count: 0
lat [04774] DEBUG Loaded 0 configs from plugins.state
lat [04774] DEBUG Plugin system watch error: System.ArgumentException: Directory
does not exists
Parameter name: path
  at System.IO.FileSystemWatcher..ctor (System.String path, System.String
filter) [0x00000] 
  at (wrapper remoting-invoke-with-check) System.IO.FileSystemWatcher:.ctor
(string,string)
  at lat.PluginManager..ctor () [0x00000] 
lat [04774] DEBUG Plugin user dir watch error: System.ArgumentException:
Directory does not exists
Parameter name: path
  at System.IO.FileSystemWatcher..ctor (System.String path, System.String
filter) [0x00000] 
  at (wrapper remoting-invoke-with-check) System.IO.FileSystemWatcher:.ctor
(string,string)
  at lat.PluginManager..ctor () [0x00000] 
lat [04774] DEBUG Setting /apps/lat/ui/main_window_width to 796
lat [04774] DEBUG Setting /apps/lat/ui/main_window_x to 159
lat [04774] DEBUG Setting /apps/lat/ui/maximized to False
lat [04774] DEBUG Setting /apps/lat/ui/main_window_hpaned to 250
lat [04774] DEBUG Setting /apps/lat/ui/browser_selection to 2
Cannot connect to NetworkManager; Assuming working connection
Name 'org.freedesktop.NetworkManager' does not exist.
lat [04774] INFO Unable to enable avahi support
lat [04774] DEBUG 
Avahi.ClientException: Daemon not running
  at Avahi.Client..ctor (ClientFlags flags) [0x00000] 
  at Avahi.Client..ctor () [0x00000] 
  at lat.ServiceFinder..ctor () [0x00000] 
lat [04774] DEBUG 
System.NullReferenceException: Object reference not set to an instance of an object
  at Avahi.ServiceBrowser..ctor (Avahi.Client client, System.String type) [0x00000] 
  at lat.ServiceFinder.Start () [0x00000] 
lat [04774] DEBUG Row expanded localhost:389
lat [04774] DEBUG Connected to 'localhost' on port 389
lat [04774] DEBUG Base: dc=netz-von-frank
lat [04774] DEBUG Using encryption type: None
lat [04774] DEBUG Bound to directory as: 
lat [04774] DEBUG Row expanded dc=XXXXXXXX
lat [04774] DEBUG       child: cn=Directory Administrators, dc=XXXXXXXXXX
lat [04774] DEBUG       child: cn=XXXX,dc=XXXXXX
lat [04774] DEBUG Row expanded cn=XXXXXX,dc=XXXXXX
lat [04774] DEBUG 
System.NullReferenceException: Object reference not set to an instance of an object
  at Novell.Directory.Ldap.LdapMatchingRuleSchema..ctor (System.String
rawMatchingRule, System.String rawMatchingRuleUse) [0x00000] 
  at Novell.Directory.Ldap.LdapSchema..ctor (Novell.Directory.Ldap.LdapEntry
ent) [0x00000] 
  at Novell.Directory.Ldap.LdapConnection.FetchSchema (System.String schemaDN)
[0x00000] 
  at lat.LdapServer.GetSchema () [0x00000] 
  at lat.ServerData.GetAllAttributes (System.Collections.Generic.List`1
objClass, System.String[] required, System.String[] optional) [0x00000] 
lat [04774] DEBUG
 System.NullReferenceException: Object reference not set to an instance of an object
  at lat.CreateEntryDialog.insertValues (System.String[] values, System.String
valueType) [0x00000] 
  at lat.CreateEntryDialog.showAttributes () [0x00000] 
  at lat.CreateEntryDialog..ctor (lat.Connection connection,
Novell.Directory.Ldap.LdapEntry le) [0x00000] 
  at lat.NewEntryDialog.OnOkClicked (System.Object o, System.EventArgs args)
[0x00000] 
  at (wrapper delegate-invoke)
System.MulticastDelegate:invoke_void_object_EventArgs (object,System.EventArgs)
  at GLib.Signal.voidObjectCallback (IntPtr handle, IntPtr gch) [0x00000] 
  at (wrapper native-to-managed) GLib.Signal:voidObjectCallback (intptr,intptr)
  at <0x00000> <unknown method>
  at (wrapper managed-to-native) Gtk.Dialog:gtk_dialog_run (intptr)
  at Gtk.Dialog.Run () [0x00000] 
  at lat.NewEntryDialog..ctor (lat.Connection connection, System.String dn)
[0x00000] 
  at lat.LdapTreeView.OnNewEntryActivate (System.Object o, System.EventArgs
args) [0x00000] 
  at (wrapper delegate-invoke)
System.MulticastDelegate:invoke_void_object_EventArgs (object,System.EventArgs)
  at GLib.Signal.voidObjectCallback (IntPtr handle, IntPtr gch) [0x00000] 
  at (wrapper native-to-managed) GLib.Signal:voidObjectCallback (intptr,intptr)
  at <0x00000> <unknown method>
  at (wrapper managed-to-native) Gtk.Application:gtk_main ()
  at Gtk.Application.Run () [0x00000] 
  at Gnome.Program.Run () [0x00000] 
  at LdapAdministrationTool.Main (System.String[] args) [0x00000] 
lat [04774] ERROR Error occured: Object reference not set to an instance of an
object
lat [04774] DEBUG Save templates count: 0
lat [04774] DEBUG Saved 0 configs to plugins.state
lat [04774] INFO Exiting lat
Comment 6 Paul Howarth 2007-02-13 13:05:32 EST
According to the output, you appear to be binding anonymously to your directory
and the crash is happening when attempting to fetch the server's LDAP schema.

This might perhaps be a permissions issue. Couple of questions:

1) Does it also crash if/when you try to use the schema browser on this server?

2) Does the original crash happen if you log in with privileges? (e.g.
as the directory administrator)
Comment 7 Paul Howarth 2007-09-27 08:39:44 EDT
Upstream has closed their bug
(http://dev.mmgsecurity.com/bugs/show_bug.cgi?id=83) for this due to lack of
response. I'm inclined to do the same.
Comment 8 Paul Howarth 2008-01-23 13:24:48 EST
Closing as FC6 is now EOL; please reopen if this problem is reproducible on a
current Fedora release. 

Note You need to log in before you can comment on or make changes to this bug.